Subject: bug#13686: hi-yellow vs. hi-lock-1

From: Jambunathan K <[email-masked]>
Date: Thu, 07 Mar 2013 00:34:05 +0530

"Drew Adams" <[email-masked]> writes:

>> > Oh, but you said that "hi-yellow is for highlighting...in 
>> > yellow".  In that case, it is not also about using other face 
>> > attributes.  Time to choose.
>> 
>> `hi-yellow' is an example of a face that is immutable.  It is
>> defconstface, so to speak.
>
> As I said before, and at the very beginning as well, I believe: if it were in
> fact constant then such a name might be apt.

>From the "I-want-colors" camp, I am hearing that by Yellow it is not
yellow per-se but some variation of yellow.  

The definition of Yellow is so broad that it will go to the extent of
embracing face with a yellow background or even a reverse video of it.
Visually speaking, you will see Yellow - a light one or a bright one, in
either foreground or background etc.  Where yellow occurs is not
guaranteed, but you will get yellow.

> Is it in fact immutable?  I didn't think so, and I see nothing in the code that
> prevents changing it.  On the contrary, it seems to be a normal, customizable
> face.
>
> And that's the point.  `hi-yellow' is not a great name for a customizable face.
>
> (And if it were truly immutable then there would be more that is constant about
> it than just its yellow color.  Whether the name should then reflect only
> "yellow" could be based on whether the color were the most important constant
> attribute.)
>
> If you really want an immutable face with some yellow attribute(s), then enforce
> that in the code.  If you instead define a normal face  (i.e., customizable,
> with no restrictions) then don't confuse users by calling it "yellow" - because
> it's not.
>
> Just one opinion, of course.